.. SPDX-FileCopyrightText: 2016 MEN Mikro Elektronik GmbH
..
.. SPDX-License-Identifier: CC-BY-SA-4.0+

..
  Programm        : genDediProg.exe
  Author          : Andreas Geissler
  Email           : Andreas.Geissler@men.de
  Organization    : MEN Mikroelektronik Nuernberg GmbH
  Created         : 23/10/14
  License         : GPLv3
  Current version : 1.0


Description
===========

This programm combines two binary files. The bytes and
the bits can be swapped. The offset for the second input file can be chosen as
well as the minimum file size in bytes which should be fill with filler(<x>).
This program shall be used to generate program files for Dedi programmer Maximal
file size = 2GByte.

Usage
=====

::
    genDediprog.exe file1_in file2_in file_out <options>

    Options:
      -v               => tool version
      -h               => print this help
      -s               => swap bits within a byte (e.g. 1000 0100 => 0010 0001)
      -x=0xXX          => configure filler for unused space in file
      -f=0xXXXXXXXX    => configure minimal file size. if it is less than the input
                       => files, the option will be ignored
                          Must be set with 0x<Hexdecimal>
      -o=0xXXXXXXXX    => offset address to the first byte of the input file, where
                          the conversion should be started.
                          Must be set with 0x<Hexdecimal>
Example
=======

::
  genDediprog.exe -x=0xFF -o=0x100000 test.rbf test.bin test.dedi
